- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 451925c5-7777-4d41-af32-b2a18cafc8dc
    creation_time: 2023-02-17T13:40:21.341097Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de51.c
      input_file_hashes:
        c/loops-crafted-1/in-de51.c: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de51.c
    file_hash: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
    line: 16
    column: 0
    function: main
  loop_invariant:
    string: x + y == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 4d9d6a24-e5d0-4330-b4a4-84af438ca235
    creation_time: 2023-02-17T13:40:21.341275Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de51.c
      input_file_hashes:
        c/loops-crafted-1/in-de51.c: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de51.c
    file_hash: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
    line: 23
    column: 0
    function: main
  loop_invariant:
    string: x + z == y && y == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: c2fbbac7-1df8-4913-8391-7b3ed8e17c65
    creation_time: 2023-02-17T13:40:21.341361Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de51.c
      input_file_hashes:
        c/loops-crafted-1/in-de51.c: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de51.c
    file_hash: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: y + z == x && x == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 0459ec8b-5b87-4aea-9794-c2a45b35b010
    creation_time: 2023-02-17T13:40:21.341440Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de51.c
      input_file_hashes:
        c/loops-crafted-1/in-de51.c: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de51.c
    file_hash: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: x + y == z && z == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 16e007ce-0464-470f-865b-3859c421fce9
    creation_time: 2023-02-17T13:40:21.341518Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de51.c
      input_file_hashes:
        c/loops-crafted-1/in-de51.c: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de51.c
    file_hash: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
    line: 41
    column: 0
    function: main
  loop_invariant:
    string: x + z == n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2282bd2d-9470-44a1-bf51-86f1c889583f
    creation_time: 2023-02-17T13:40:21.341831Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de51.c
      input_file_hashes:
        c/loops-crafted-1/in-de51.c: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de51.c
    file_hash: 6b650e50691cb35e1bdf008faa87d25716bf83c58902e8bffb444ab81952ff19
    line: 48
    column: 0
    function: main
  location_invariant:
    string: x == n
    type: assertion
    format: C

